seo:
  title: 'Erste Schritte mit GitLab: So importierst du deine Projekte in GitLab'
  description: "Erfahre, wie du deine Projekte aus verschiedenen Quellen wie Bitbucket, Gitea, GitHub und GitLab\_Self-Managed importierst."
  ogTitle: 'Erste Schritte mit GitLab: So importierst du deine Projekte in GitLab'
  ogDescription: "Erfahre, wie du deine Projekte aus verschiedenen Quellen wie Bitbucket, Gitea, GitHub und GitLab\_Self-Managed importierst."
  noIndex: false
  ogImage: >-
    images/blog/hero-images/blog-getting-started-with-gitlab-banner-0497-option4-fy25.png
  ogUrl: >-
    https://about.gitlab.com/blog/getting-started-with-gitlab-how-to-import-your-projects-to-gitlab
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: >-
    https://about.gitlab.com/blog/getting-started-with-gitlab-how-to-import-your-projects-to-gitlab
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Erste Schritte mit GitLab: So importierst du deine Projekte in GitLab",
            "author": [{"@type":"Person","name":"Abubakar Siddiq Ango"}],
            "datePublished": "2025-01-28",
          }

content:
  title: 'Erste Schritte mit GitLab: So importierst du deine Projekte in GitLab'
  description: "Erfahre, wie du deine Projekte aus verschiedenen Quellen wie Bitbucket, Gitea, GitHub und GitLab\_Self-Managed importierst."
  authors:
    - Abubakar Siddiq Ango
  heroImage: >-
    images/blog/hero-images/blog-getting-started-with-gitlab-banner-0497-option4-fy25.png
  date: '2025-01-28'
  body: "*Willkommen zu unserer Serie „Erste Schritte mit GitLab“, in der wir Neueinsteiger(inne)n helfen, sich mit der DevSecOps-Plattform von GitLab vertraut zu machen.*\n\nUm deine DevSecOps-Plattform von GitLab so gut wie möglich zu nutzen, ist es wichtig zu wissen, wie du Projekte in GitLab importieren kannst. Du hast bereits dein [Konto eingerichtet](https://university.gitlab.com/pages/getting-started), Benutzer(innen) eingeladen und sie entsprechend deines Anwendungsfalls oder deiner Teamstruktur [organisiert](https://about.gitlab.com/de-de/blog/2025/01/14/getting-started-with-gitlab-how-to-manage-users/). Nun musst du deine bestehenden Projekte in GitLab importieren und mit der Zusammenarbeit beginnen. Diese Projekte können lokale Dateien auf deinem Computer sein oder auf einer anderen Plattform für Quellcodeverwaltung gehostet sein. Sehen wir uns an, welche Möglichkeiten es gibt.\n\n## Lokale Projektdateien importieren\n\nDu möchtest nicht jedes Mal bei Null anfangen, wenn du ein Projekt importierst. Befolge diese Schritte, um bestehende Projekte oder Anwendungen mit oder ohne Versionskontrolle in GitLab nutzen zu können.\n\n### Git-Projekt\n\n1. Wenn Git bereits in deinem lokalen Projekt [initialisiert wurde](https://docs.gitlab.com/ee/topics/git/commands.html#git-init), erstellst du ein neues Projekt in GitLab und rufst die SSH- oder HTTPS-URL ab, indem du oben rechts in deiner Projektseite auf die Schaltfläche **Code** klickst.\n\n![Ein neues Projekt in GitLab mit SSH/HTTPS-URLs erstellen](//images.ctfassets.net/r9o86ar0p03f/JodhM2vA2zOXV51EXkseM/9f5bf272ec0f6dbce4268a9d3e475bc1/image8.png)\n\n2. Wechsele zu deinem Terminal und stelle sicher, dass du dich in deinem Projektordner befinden:\n\n```bash  \ncd /project_folder  \n```\n\n3. Sichere deinen bestehenden [Git-Origin](https://git-scm.com/book/de/v2/Git-Grundlagen-Mit-Remotes-arbeiten):\n\n```bash\n\ngit remote rename origin old-origin\n\n```\n\n4. Füge die [GitLab-Remote-URL](https://git-scm.com/book/de/v2/Git-Grundlagen-Mit-Remotes-arbeiten) für den neuen Origin hinzu, wenn du SSH verwendest:\n\n```bash  \ngit remote add origin [git@gitlab.com](mailto:git@gitlab.com):gitlab-da/playground/abubakar/new-test-repo.git  \n```\n\nUnd für HTTPS: \n\n```bash  \ngit remote add origin https://gitlab.com/gitlab-da/playground/abubakar/new-test-repo.git  \n```\n\n5. Pushe dann alle bestehenden [Branches](https://docs.gitlab.com/ee/user/project/repository/branches/) und [Tags](https://docs.gitlab.com/ee/user/project/repository/tags/) zu GitLab:\n\n```bash  \ngit push --set-upstream origin --all  \ngit push --set-upstream origin --tags  \n```\n\nAlle deine Dateiprojektdateien, Branches und Tags werden an GitLab übertragen und du kannst mit der Zusammenarbeit beginnen.\n\n### Nicht-Git-Projekt\n\nWenn du Git in deinem Projekt nicht initiiert hast, musst du Git vorher initialisieren, vorhandene Dateien commiten und wie folgt in GitLab pushen:\n\n```bash  \ngit init --initial-branch=main  \ngit remote add origin git@gitlab.com:gitlab-da/playground/abubakar/new-test-repo.git  \ngit add .  \ngit commit -m \"Initial commit\"  \ngit push --set-upstream origin main  \n```\n\n## Import aus Online-Quellen\n\nWenn du dein Projekt auf GitLab.com oder anderen Plattformen hast und es in eine andere GitLab-Instanz (wie eine Self-Managed-Instanz) oder von einer anderen Plattform zu GitLab.com verschieben möchtest, bietet GitLab die Funktion zum Importieren von Projekten, wenn du ein neues Projekt erstellen möchtest.\n\n![Bildschirm „Neues Projekt erstellen“](//images.ctfassets.net/r9o86ar0p03f/7wDEsJUuoNKGQ9GlfHfBOx/9e100dd74315db1ed5152ae8f94cff48/image7.png)\n\nBeim Importieren eines Projekts werden die Projektdateien und (je nach Quelle) einige andere Komponenten des Projekts migriert. Du kannst aus verschiedenen Quellen importieren, darunter Bitbucket, GitHub, Gitea und GitLab-Instanzen. Importquellen sind auf GitLab.com standardmäßig aktiviert, müssen aber von einem bzw. einer Administrator(in) [für Self-Managed aktiviert werden](https://docs.gitlab.com/ee/administration/settings/import_and_export_settings.html#configure-allowed-import-sources). In den folgenden Abschnitten sehen wir uns einige dieser Quellen an.\n\n![Projekt aus Drittquellen importieren](//images.ctfassets.net/r9o86ar0p03f/KwAdfu5Bw1WMBIT2vcH61/8af69e5c7bc932bc85c3a07b7f490577/image6.png)\n\n## GitLab-Quellen\n\nDu kannst Projekte von GitLab.com und GitLab-Self-Managed-Instanzen mit der Funktion „Projekt exportieren“ in den Einstellungen eines Projekts exportieren.\n\n![Bildschirm „Projekt exportieren“](//images.ctfassets.net/r9o86ar0p03f/2swSLi5u64N4woz9EPkZPK/98deb22fb2270870ffacad4c4d2cedc0/image9.png)\n\nDas geht so:\n\n- Gehe zu den Einstellungen deines Projekts und klicke in den Bereich **Allgemein**.\n- Scrolle zum Abschnitt **Erweitert**.\n- Wähle **Projekt exportieren** aus.\n- Es wird eine Benachrichtigung angezeigt, die sagt: „Projekt-Export gestartet. Ein Download-Link wird per E-Mail verschickt und auf dieser Seite bereitgestellt.“\n- Nachdem der Export generiert wurde, kannst du dem Link in der E-Mail folgen oder die Seite mit den Projekteinstellungen aktualisieren, um die Option„ Export herunterladen “anzuzeigen.\n\n### Projekt importieren\n\n![Ein exportiertes GitLab-Projekt importieren](//images.ctfassets.net/r9o86ar0p03f/5hX6PExmH217Tscr30pWRr/893e064239d2a186bce278d19a66d1d5/image10.png)\n\n- Klicke in deiner Ziel-GitLab-Instanz auf die Schaltfläche **Neues Projekt**.  \n- Wähle **Projekt importieren** aus und klicke in der Liste der Importquellen auf **GitLab-Export**.  \n- Gib einen Projektnamen an und wähle die Exportdatei aus. Klicke dann auf **Projekt importieren**.  \n- Es wird die Seite „Import wird durchgeführt“ angezeigt. Nach Abschluss wirst du zum importierten Projekt weitergeleitet.\n\nAbhängig von der Größe deines Projekts kann der Import unterschiedlich lange dauern. Beachte bitte, dass nicht alles in einem Projekt exportiert werden kann und einige Dinge nach dem Import anders sein können. In der [Dokumentation](https://docs.gitlab.com/ee/user/project/settings/import_export.html#export-a-project-and-its-data) findest du weitere Informationen zu den Einschränkungen. Wenn du eine ganze Gruppe anstelle einzelner Projekte migrieren möchtest, empfehlen wir dir die [Direct-Transfer-Methode](https://docs.gitlab.com/ee/user/group/import/index.html). Dabei wird eine Kopie einer ganzen Gruppe erstellt.\n\n## Drittanbieter\n\nGitLab unterstützt den Import von Bitbucket Cloud, Bitbucket Server, FogBugz, Gitea und GitHub. Der Import ist für alle unterstützten Drittpartner ähnlich, der Hauptunterschied liegt dabei in der Authentifizierungsmethode. Sehen wir uns einige der Möglichkeiten an.\n\n### GitHub\n\n![Bildschirm „Authentifizierung mit GitHub“](//images.ctfassets.net/r9o86ar0p03f/6wYtslMUNeijb3XEWnY9FL/35b56843de91ec85f5ee279ac002b174/image3.png)\n\nEs gibt drei Methoden, um GitHub-Projekte in GitLab zu importieren:\n\n- [Mit GitHub\_OAuth](https://docs.gitlab.com/ee/user/project/import/github.html#use-github-oauth)\n- [Mit einem persönlichen GitHub-Zugriffstoken](https://docs.gitlab.com/ee/user/project/import/github.html#use-a-github-personal-access-token)\n- [Über die API](https://docs.gitlab.com/ee/user/project/import/github.html#use-the-api)\n\nDer Import mit GitHub\_OAuth und dem persönlichen Zugriffstoken ist ähnlich. Der Unterschied liegt darin, wie du GitLab autorisierst, auf deine Repositories zuzugreifen. Die OAuth-Methode ist einfacher, da du nur auf die Schaltfläche „Mit GitHub autorisieren“ klicken musst und du zu deinem GitHub-Konto weitergeleitet wirst, um die Verbindung zu autorisieren. Dann wird die Liste deiner Projekte geladen und du kannst auswählen, welche du importieren möchtest.\n\n![Bildschirm „Repositories aus GitHub importieren“](//images.ctfassets.net/r9o86ar0p03f/XoEnB39K89NIGGnqnEDsX/ccd3fa8f263155316281c9881a5efff3/image2.png)\n\nAlternativ kannst du ein persönliches GitHub-Zugriffstoken generieren, den Geltungsbereich `repo` und `read:org` auswählen und es dann auf der Seite „Import“ bereitstellen. Für API-Importe kannst du dasselbe persönliche Zugriffstoken mit unseren [Import-REST-API-Endpunkten](https://docs.gitlab.com/ee/api/import.html#import-repository-from-github) in deinem Skript oder deiner Anwendung verwenden.\n\nIn dieser Demo erklärt GitLabs Senior Developer Advocate Fernando Diaz, wie man ein Projekt mit der OAuth-Methode von GitHub importiert:\n\n<!-- blank line -->  \n<figure class=\"video_container\"> \n  <iframe src=\"https://www.youtube.com/embed/0Id5oMl1Kqs?si=esF6wbz2j2JlhDVL\" frameborder=\"0\" allowfullscreen=\"true\"> </iframe>  \n</figure>\n<!-- blank line -->\n\nIn der [Importdokumentation](https://docs.gitlab.com/ee/user/project/import/github.html) erfährst du mehr über Voraussetzungen, bekannte Probleme, den Import von GitHub\_Enterprise sowie andere wichtige Themen.\n\n### Bitbucket\n\nDer Import von Projekten aus Bitbucket ähnelt dem Import von GitHub. Während OAuth für [Bitbucket Cloud](https://docs.gitlab.com/ee/user/project/import/bitbucket.html), die SaaS-Version von Bitbucket, verwendet werden kann, musst du für [Bitbucket Server](https://docs.gitlab.com/ee/user/project/import/bitbucket_server.html), die selbst gehostete Version für Unternehmen, eine URL, einen Benutzernamen und ein persönliches Zugriffstoken angeben. Wenn du auf der Seite „Import“ auf die Option „Bitbucket Cloud“ klickst, gelangst du automatisch zur Atlassian-Authentifizierung für Bitbucket.\n\n![Projekt aus Bitbucket importieren](//images.ctfassets.net/r9o86ar0p03f/5Eizn75bHBmfDM4yp1DAKD/7e5572d0a52cc8769b5b2940dc87a819/image4.png)\n\nDu kannst Bitbucket-Projekte auch mit der [Import-API von GitLab](https://docs.gitlab.com/ee/api/import.html) importieren.\n\n### Gitea\n\n![Projekt aus Gitea importieren](//images.ctfassets.net/r9o86ar0p03f/5pGzgxIDe6d8Y5evo2dxz8/bc1da0e107dca645a4d6d6db7b8c8f03/image5.png)\n\nFür den Import von Projekten aus [Gitea](https://docs.gitlab.com/ee/user/project/import/gitea.html) musst du ein [persönliches Zugriffstoken](https://docs.gitea.com/next/development/api-usage#authentication-via-the-api) auf der Gitea-Plattform erstellen und es zusammen mit der Gitea-Server-URL auf der GitLab-Importseite angeben. OAuth-Authentifizierung wird nicht unterstützt. \n\n### Generisches Remote-Git-Repository\n\n![Projekt aus Remote-Git-Repository importieren](//images.ctfassets.net/r9o86ar0p03f/7AHq1ELVMFWvPT3tpYwx2T/cba452487afc9acc6987f0426168e167/image1.png)\n\nWenn dein Git-Anbieter nicht unterstützt wird oder der Import mit den unterstützten Methoden nicht möglich ist, kannst du ein Repository mit der zugänglichen URL `https://` oder `git://` importieren. Wenn sie nicht öffentlich zugänglich ist, gibst du die URL des Repositorys zusammen mit dem Benutzernamen und dem Passwort (oder gegebenenfalls dem Zugriffstoken bei Multi-Faktor-Authentifizierung) an.\n\nDiese Methode kann auch verwendet werden, um eine Kopie eines Remote-Projekts beizubehalten und synchron zu halten, d.\_h. zu [spiegeln](https://docs.gitlab.com/ee/user/project/repository/mirror/). Mit der Spiegelung kannst du Repositories auf verschiedenen Plattformen verwalten und synchronisieren. Dies kann gewünscht werden, um den privaten und den öffentlichen Zugang zum Projekt zu trennen und gleichzeitig sicherzustellen, dass beide Enden die gleiche Kopie haben, was beim Open-Sourcing interner Projekte nützlich ist. Es kann auch bei der Zusammenarbeit mit Auftragnehmern verwendet werden, wenn beide Parteien unterschiedliche Plattformen verwenden und der Zugriff auf die Codebase auf beiden Seiten erforderlich ist. \n\n## Zusammenfassung\n\nDer Import und die Migration zwischen GitLab-Instanzen und aus anderen Quellen ist ein wichtiger Prozess, der gut geplant werden muss. So kann man klar darlegen, was mit welcher Methode importiert wird. Während bei den meisten Methoden von Drittanbietern Projektelemente importiert werden, einschließlich Dateien, Tickets und Merge Requests, sind bei einigen Methoden Probleme und Einschränkungen bekannt. Der [Abschnitt „GitLab-Import“](https://docs.gitlab.com/ee/user/project/import/) der Dokumentation enthält detaillierte Informationen zu allen unterstützten Methoden, damit du deine Migration entsprechend planen kannst.\n\n> #### Möchtest du dein Lernen auf ein neues Niveau heben? [Registriere dich für die englischsprachigen Kurse der GitLab\_University](https://university.gitlab.com/). Du kannst auch sofort mit [einer kostenlosen 60-tägigen Testversion von GitLab\_Ultimate](https://about.gitlab.com/de-de/free-trial/devsecops/) loslegen.\n"
  category: Produkt
  tags:
    - product
    - tutorial
    - DevSecOps platform
config:
  slug: getting-started-with-gitlab-how-to-import-your-projects-to-gitlab
  featured: false
  template: BlogPost
